3.28
====
- fix HC index.theme generation (#17)
- fix typo (!3)

3.27.92
=======
- distribute README.md and LICENSE (again)

3.27.90.1
=========
- update configure.ac to new name

3.27.90
=======
- rename to gnome-themes-extra
- update README.md, various metafile updates
- fix out-of-tree HC builds (Alexandre Rostovtsev)
- use zopflipng (Ville Skyttä)
- icon theme metadata updates (Jeremy Bicha, Dariusz Gadomski)
- translation updates

3.22.3
======
- dark theme fix
- minor tweaks

3.22.2
======
- dark theme updates by Juraj Fiala
- Adwaita updates by Lapo Calamandrei

3.22.1
======
- gtk2 dark variant by Juraj Fiala
- translations

3.20.2
======
- scrollbar tweaks
- makefile updates

3.20
====

3.19.91
=======
 - updated gtk2 theme (by Juraj Fiala)

3.18.0
======
 - Portugese translations

3.16.2
======
 - translation updates

3.16.0
======
 - update README
 - translation updates

3.15.90
=======
 - drop metacity theme
 - drop polari icon

3.15.2.2
3.15.2.1
========
 - remove some HC app icons that are already shipped with apps

3.15.2
======
 - update gtk2 theme (entries, spinbuttons, radios, checks...)
 - update HC icon names
 - update gtk2 HC icons

3.14.0
======
 - HighContrast checkbox updates
 - mutter theme updates
 - HighContrast icon theme additions

3.13.90
=======
 - checkbox/radio updates
 - improvements to the high contrast theme
 - move default background to gnome-backgrounds

3.13.4
======
 - drop duplicate properties from metacity geometry
 - keep a dummy gtk.css for Adwaita

3.13.3
======
  - major code refactor using SASS
  - moved gtk3 parts of the theme into gtk+
  
3.13.1
======
  - Window borders on dark variant
  - file chooser styling improvements
  - move cursors to the adwaita-icon-theme
  - remove text-shadow form switches in headerbars 

3.12.0
======
  No changes

3.11.92
=======
  Message dialog buttons have no border
  Default buttons in message dialogs use the suggested button style
  Context menu fixes
  Gedit specific style tweaks
  Match pixel size of regular and image buttons in headerbars
  linked button radius tweaks

3.11.90
=======
  Style for popover menus
  Improve OSD style
  Improve insensitive suggested-action buttons
  gedit specific fixes
  Enable window dragging on toolbar separators

3.11.5
======
  New style for GtkDialog and GtkAssistant
  New backgrounds for 3.12
  Improvements to the new notebook tabs style
  Style for GtkActionBar
  Style for GtkPopover
  Fix GtkHeaderBar vertical padding
  Misc improvements for chooser buttons
  Separate GTK and GNOME styles better
  gnome-bluetooth specific fixes
  gedit specific fixes

3.11.2
======
  new tabs (plain gtk, no more engines)
  headerbar/CSD fixes
  gedit improvements
  less contrasty/3D look for troughs (and pushed buttons)

3.10.0
======
  gedit specific tweaks
  expose close button in tabs better
  abrt high contrast icon fix
  CSD decoration fixes
  color definition cleanup
  gtk menu border fix when running outside of gnome-shell (#707358)

3.9.91
======

GTK3:
  Improve support for headerbars styling (Allan Day, Paolo Borelli,
  Jakub Steiner)
  Increase legibility of pushed button style (Allan Day)
  Fix CSD shadows for dark themed windows (Matthias Clasen)
  Fix dim-label color on selected rows (Thomas Wood)
  Fix font style for context menus (Matthias Clasen)
  Fixes for destructive/suggested-action buttons (Andreas Nilsson)
  App specific fixes for Baobab, Nautilus (Stefano Facchini, António Fernandes)

HighContrast:
  Add support for CSD and headerbars
  Fix insensitive menu items styling
  Fix extra frame for GtkStatusbar
  App specific fixes for Nautilus

3.9.90
======

New style for WM buttons to go together with the new headerbar
controls. 

GTK3:
 Improved client side decorations.
 New radiobuttons and checkboxes.
 HIDPI support.
 Unified infobar styling.
 App specific fixes for Contacts, Baobab. (Erick Pérez Castellanos, 
 Stefano Facchini)

3.9.3
=====

Wallpaper update for 3.10
Add HC icon for system-software-update

GTK3:
  Initial support for GTK client side decorations
  Adapt to changes in GTK master state propagation
  Add support for activity on top of GdMainView cells (Zeeshan Ali)
  Improve theming for GEdit, Baobab (Ignacio Casal Quinteiro, Stefano Facchini)

3.8.1
=====

GTK3:
  Improve style of GtkScale's trough
  Add prelight and dark variants of pane separator grip assets
  Add a style class for Photos emblems
  Add support for dark theme to Documents-style collection icons
  Add support for selection rubberbands in content-view
  Add a workaround for backdrop selected text in Evolution
  Fix text selection in GEdit's search entry
GTK2:
  Improve style of GtkScale's trough

3.8.0
=====

Update HC icons from gnome-icon-theme-symbolic

3.7.92
======

GTK3:
  Add theming support for GtkBubbleWindow text touch selections
  Fix clipped border in OSD frames
  Fix unmatching selection mode border width for header bars
  Update Baobab theming for latest master

3.7.91
======

GTK3:
  Support linked entries on primary toolbars
  Use stock GTK style for expanders
  Make progressbar colors darker in backdrop
  Fix insensitive state of OSD scales and buttons
  Fix a minor glitch in spinbuttons in RTL mode
  Fix some glitches in header bar style
  Fix content view checkboxes in backdrop
  Remove special case of Nautilus pathbar buttons
GTK2:
  Fix white border around background when overridden
  Fix a regression in Chrome/Chromium toolbar drawing
WM:
  Fix centering of the window title

3.7.90
======

GTK3:
  Add support for styling of header bar widgets
  Add support fof OSD buttons in a GtkOverlay
  Improve style for pressed OSD buttons
  Update gedit search slider CSS
  Added a style for Contacts' selection toolbar
  Fix Epiphany's toolbar buttons in dark theme
GTK2:
  Fix a regression in drawing Libreoffice/OO.o GtkEntry backgrounds
  Don't render a stroke for GTK_SHADOW_NONE frames

3.7.6
=====

Fix a bug with GdMainIconView checkbox assets
Fix some build errors

3.7.5
=====

Improve paddings for buttons on main toolbars
Make it possible to override GtkEntry's background color in GTK2
Add a workaround to render correctly OpenOffice.org scrollbars in GTK2
Fix GtkFrame with labels not showing a stroke in GTK2
Add some missing selectors for the SELECTED check/radio states in GTK2
Use arrows of the same shape for all four directions in GTK2
Add HC icons for new Settings panels
Don't insall translations
Fix missing check/radio buttons for content-view widgets
Set padding for the SushiFontWidget preview widget

3.7.4
=====

Use a blue shade for the selection toolbar pattern
Add a style for EvinceView document frames
Improve linked buttons, insensitive state, OSD and floating bar styles in HC
Improve selections in listbox widgets
Add HC icon for gnome-dictionary
Add runtime checks for X11-specific code
Fix spurious border with Epiphany 3.7

3.7.3
=====

Don't repeat background image assets for radio/checks
Use a light noise texture for content-view backgrounds
Add a style for OSD views and scrollbars
Improve style for listbox views
Remove GtkViewport background color by default
Improve style for dragged column-header buttons
Update HighContrast icons
Fix asymmetric borders in column-header buttons
Fix coloring of GtkScale mark labels
Fix GTK2 toolbar style for SWT applications
Fix coloring of Eclipse tooltips
Fix buggy rendering of menus in Opera

3.7.2
=====

Use .background instead of GtkWindow to style the window background
Fix insensitive menu items background
Add a box-shadow in inline toolbars
Tweak paddings in toolbars
Improve theming support for Baobab

3.6.2
=====

Add assets for insensitive radio/check states for the GTK2 theme
Fix active spinner when no animations are in use
Fix gray menu separators under some circumstances
Fix the build on non-X11 environments
Fix uneven padding on the notebook tab close button
Fix minor glitch with borders of tiled WM decorations

3.6.1
=====

Add a matching HighContrast WM theme
Add support for vertically oriented inline toolbars
Fix wrong background for raised and backdrop insensitive toolbar buttons
Fix glitches in selection-toolbar and suggested-action styling
Fix menu borders not present when not running under GNOME Shell
Fix color for selected desktop icons
Fix stray text shadows in inline toolbar buttons
Fix wrong background color when using a menu button in an OSD toolbar
Fix some glitches in notebook's tab rendering
Improve theming support for Nautilus, Documents, Evince, GEdit, Baobab and more

3.6.0.2
=======

Add hover/active states for slider assets
Fix wrong border color for primary/inline toolbar buttons
Fix wrong shadow direction in dark variant primary/inline toolbar buttons
Fix color of icons on vertical spinbuttons
Fix color of separators on toolbars
Fix unwanted shadow from menubutton dropdown

3.6.0.1
=======

Revert an erroneous commit
Use this version instead of 3.6.0

3.6.0
=====

Improve theming for sidebar scrollbars
Render PNG images for borders
Fix regression wrt. GtkScrolledWindow default background
Fix insensitive active GtkSwitch borders
Fix theming for GtkMenuToolButtons on inline toolbars
Fix Epiphany toolbar theming for RTL layouts

3.5.92
======

Adwaita:
- New improved assets for the GTK2 implementation
- Improve theming for progressbars in GtkEntry
- Improve theming for vertical spinbuttons
- Add transitions to and from GtkEntry's focused state
- Add support for theming text selection handles
- Fix GtkSpinner animation
- Fix blue border for insensitive default buttons
- Fix wrong highlight color for highlighted headings in GtkAssistant
- Drop HighContrastInverse/LowContrast GTK themes

HighContrast:
- Add new application icons
- Don't show focus ring by default
- Fix selected text theming under some circumstances
- Fix theming for the deprecated GtkStyle fallback path
- Fix GtkLevelBar theming
- Fix theming for fallback GNOME Panel

3.5.91
======

Add support for vertically oriented spinbuttons
Add support for a selection-menu button in selection mode
Set scrolled windows background for normal and backdrop states
Use new tooltip radius and alpha style properties for GTK2
Use new range warp slider style property for GTK2
Fix Chrome/Chromium custom menu items for GTK2
Fix wrong text color in app notification widgets
Fix tiny padding in Nautilus pathbars
Fix stray background color below checkboxes in content views
Synchronize HighContrast icons from the symbolic theme

3.5.90.1
========

Fix missing GTK2 theme image assets
Fix unwanted border on backdrop column headers

3.5.90
======

Add a GTK2 version of Adwaita, based on the Bridge theme (Jack Gandy)
New default wallpapers (Jakub Steiner)
Improve metacity attached dialog styling (Florian Müllner)
Improve custom theming for Nautilus (Lapo Calamandrei)
Add generic theming support for selection-mode toolbar style classes
Add generic theming support for in-app notifications
Add generic theming support for suggested-action buttons
Improve theming for GtkMenuButton

3.5.5
=====

Don't use a blue border for focused buttons
Use CSS gradients instead of GTK gradients
Improve styling for GtkLevelBar
Improve bottom tab styling
Improve theming support for Nautilus
Add support for new Baobab style

3.5.4
=====

Don't use wildcard selectors for background colors
Update WM style for attached modal dialogs
Add support for the .gtkstyle-fallback selectors
Add support for GtkMenuButton and GtkLevelBar
Add support for symbolic images inside views
Fix floating bars in dark variant
Fix nautilus desktop icon color in dark variant

3.5.3
=====

Fix jumping combobox size between normal and backdrop states
Fix spinbutton borders, combobox entries and resize grips in HighContrast
Add support for GdTaggedEntry in the dark theme
Use .scale and not GtkScale for selectors

3.5.2
=====

Use multiple CSS backgrounds to render
  - progressbar patterns
  - switch sliders
  - pane separator grips
Improve HighContrast/HighContrastInverse themes to mockups
Improve support for OSD toolbars/overlays/buttons
Add support for overlay progressbars, as seen in Web
Add support for vertically linked buttons
Add an option to disable building of the GTK3 engine
Update highcontrast icon theme to latest g-i-t-s content
Improve separator line colors
Fix wrong background color of check/radios in treeviews
Fix uneven padding for toolbar buttons

3.4.2
=====

Fix gnome-contacts' toolbar separator line
Fix Nautilus' inactive pane background color
Don't generate GTK icon cache when DESTDIR is set

3.5.1
=====

Rework HighContrast theme according to new mockups
Add theming support for OSD style
Render borders for GtkFrame; remove its padding
Improve fallback mode theming
Fix theming for fail whale dialog
Fix notebook tab background rendering
Update for GTK master CSS syntax changes

3.4.1
=====

Fix text shadow on active GtkLinkButton state and Documents selection toolbar
Fix opaque background for tooltips children
Fix text spacing in progress bars
Fix cell renderer progress bar border rendering
Fix double background in fallback panel menuitem images
Fix insensitive state for treeview column header buttons

3.4.0
=====

Fix notebook tab gradient scaling
Fix missing border in the screensaver unlock dialog

3.3.92
======

Add HighContrast icon theme generated from gnome-icon-theme-symbolic
Don't make floating bars yellow
Fix text shadows in active+insensitive toolbar buttons
Fix right WM border in focused left tiled windows
Add no-nighlight versions of insensitive radio/check assets for use in treeviews
Fix expander radius in treeviews
Fix color for 'image' style class over a selected background
Fix GtkTreeView separators on hover and backdrop states
Fix color of dim labels in treeview renderers
Fix border for buttons in NautilusQueryEditor infobars
Add styling for gedit's not-found search entry style class

3.3.91
======

Use bright color for text on high-saturation infobars
Theme GtkColorChooser dark variation
Theme junction between scrollbars
Fix missing GtkSpinner animation
Fix wrong color for focused dim-labels
Fix insensitive state for GtkTreeView and GtkIconView
Update Documents theming for 0.3.91
Remove gedit sidepane custom styling for 3.4

3.3.90.1
========

Theme GtkColorChooser backdrop state
Fix borders for primary toolbar combobox entries on primary toolbars
Fix background not properly clipped on GtkSwitch and troughs
Fix background color of selected rows for Documents
Fix Terminal colors in HighContrast/HighContrastInverse
Fix text shadow for raised active buttons

3.3.90
======

Rewrite HighContrast/HighContrastInverse themes
Theming support for GtkColorChooser
Fix selections in backdrop state
Convert more assets to PNG images
Improvements in the dark WM theme
Fix base background compatibility with GtkStyle-using applications
Don't set a padding for GtkViewport
Fix styling for Gucharmap

3.3.5.1
=======

Fix gedit/Epiphany tabs
Fix wrong selected text color

3.3.5
=====

Use GTK resource file support
Use PNG assets instead of SVG
Remove the window resize grip
Don't set child-displacement-y on buttons
Don't set WM title/button borders on frameless windows
Improve check/radio and slider assets
Adapt to GTK+ master changed for
 - border/padding/margin units
 - entry/combobox border allocations
 - GtkImage backgrounds

3.3.4
=====

Implement support for the backdrop state
New scrollbar design
Improved support for Epiphany, Nautilus and GEdit
Improve nighttime background
Many smaller detail tweaks and fixes
Adapt to GTK+ master changes for
 - button border allocations
 - new CSS parser stricter spec-compliant syntax

3.3.3
=====

Big theme revamp; better details and niceties all around \o/
Theming for new horizontal GtkSpinButtons
Implement border-only style for maximized windows
Use an animated wallpaper changing troughout the day
Better error messages for missing build dependencies

3.3.2
=====

Initial implementation of selection-mode, dropdown and OSD toolbars for GNOME Documents
Don't set a padding for GtkNotebook children
Fix focus border color for iconview cells
Don't override prelight color for dim-label
Fix for Nautilus migrating GtkTable->GtkGrid

3.3.1
=====

Use a new wallpaper
Improve notebook tabs padding
Enable transparency and rounded corners for tooltips
Correctly theme GtkSwitch for the dark variant
Fix gnome-panel theming for fallback mode

3.2.0
=====

Fix pressed state of inline toolbar buttons

3.1.92
======

Improve theming for radio/check menuitems for insensitive and mixed states
Move applications overrides into a separate stylesheet
Improve pathbar active button styling
Remove highlight from active button border
Add selectors for the DND style class
Support RTL mode for GtkComboBox entries
Improve attached modal dialogs

3.1.91
======

Make the text color for insensitive menu entries a bit darker
Use stock gtk_render_line() implementation from GtkThemingEngine
Apply a linked style for filechooser pathbar buttons

3.1.90
======

Use a flat style for radiobuttons on sidebars
Enable raised/linked areas on non-primary toolbars
Support menubar toolbars
Support menu active state for button
Fix tooltips background
Fix fail whale dialog button prelight

3.1.5
=====

Improve WM theme for titlebars and buttons
Improve buttons, scales, sliders, progressbars for the dark theme
Use a new style for GtkComboBox widgets with entries
Fix combobox left/right padding
Improve GtkTreeView expander styling
Prelight the spinbutton arrows
Use the new gtk-focus-visible Gtk setting
Fix trough style class matching for custom widgets

3.1.4
=====

Update the dark theme with a blue selection color
Use the raised style for buttons in inline-toolbars
Revert to light colors for the menus now that the mutter shadows are fixed
Build fixes

3.1.3
=====

Fix borders and background for vertical progressbars
Fix horizontal padding for progressbars in GtkEntry
Add a subtle gradient to the active notebook tab
Improve styling for GtkComboBox with entries
Improve insensitive style for the dark theme

3.1.2.1
=======

Fix a regression with padding in GtkSpinButtons and GtkEntries

3.1.2
=====

** GTK+ 3.1.6 or newer is required to use this theme **

Use SVG assets to render border image gradients
Use SVG assets to render scale sliders
Remove custom inset style properties
Render shadows for toolbar buttons
Improve GtkAssistant theming
Improve GtkTreeView column headers
Improve GtkProgressbar, sliders and GtkEntry for the dark theme

3.1.1
=====

Reintroduce the dark theme variant
Add inset shades on various elements
Render the menus fill in dark
Tweak GtkSwitch inactive label color
Fix progressbar gradients and GtkCellRendererProgress
Improve the maximized windows titlebar height

3.0.1
=====

Reduce vertical padding for most of the common widgets, requires GTK+ 3.0.9

3.0.0
=====

Don't propagate an 1px separator width to the whole toolbar
Add icon-size property for NaTrayApplet

2.91.93
=======

Remove the dark theme variant for 3.0
Fix gnome-terminal background

2.91.92.1
=========

Revert GTK2 color changes, they don't blend in properly
Theme fail whale dialog

2.91.92
=======

Add a dark Adwaita variant
Add an inline toolbar style class
Add a sidebar style class
Fixes for insensitive state
Fix focus ring on primary toolbars
Tweak GTK2 theme colors
Theme GtkScale marks
Add an 1px spacing between scrollbar sliders and steppers
Theme menu arrows
Theme menu accelerators
Tweak GtkSwitch theming
Lots of tweaks for Fallback mode panel/applets

2.91.91.1
=======

Add raised toolbar buttons
Make focus ring match latest mockups
Make active toolbar buttons match latest mockups
Fix pane separators
Properly align check/radio buttons
Fix a typo to work correctly with GTK+ 3.0.3

2.91.91
=======

Big revamp of the Adwaita engine to match 3.0 designs.

Update include:
- checkboxes/radiobuttons
- notebook tabs shape
- expanders
- arrows
- range sliders
- progressbar
- scrollbars
- insensitive icons
- new color palette

and probably even more.

2.91.90.1
=========

Fix appearance of check boxes

2.91.90
=======

Don't hardcode Cantarell in the CSS file
Miscellaneous rendering fixes
Separate theme colors from the CSS
Add a settings.ini file

2.91.8
======

Don't set background for evince background
Remove gtkrc file for GTK+ 3.0
Plain style for 'internal' toolbars

2.91.7
======

Improved resize grip rendering
Fix gnome-terminal text colors
Fix expander rendering +/- confusion
Fix install location of the engine

2.91.6
======

Add Adwaita engine

2.91.5
======

Some theme tweaks

2.91.4
======

Port to GtkStyleContext

2.91.2.1
========

Include the metacity theme

2.91.2
======

Initial release
